{% extends "transport/base.html" %}

{% block title %}Liste des destinations{% endblock %}

{% block breadcrumb %}
<li class="breadcrumb-item"><a href="{% url 'home' %}">Accueil</a></li>
<li class="breadcrumb-item active" aria-current="page">Destinations</li>
{% endblock %}

{% block content %}
    <form class="immediate_submit table-filter unmonitor" method="get" action=".">
    <table class="table">
        <thead class="sticky">
            <tr>
                <th>Nom</th><th>Adresse</th><th>Localité</th><th>Téléphone-s</th>
            </tr>
            {% if form %}
            <tr class="filters">
                <td>{{ form.nom }}</td><td></td><td>{{ form.npa_localite }}</td><td>{{ form.tel }}</td>
                <td></td>
            </tr>
            {% endif %}
        </thead>
        <tbody id="filter_container">
        {% for adr in object_list %}
            <tr>
                <td><a href="{% url 'transport-address-edit' adr.pk %}" class="openmodal"
                       data-deleteurl="{% url 'transport-address-archive' adr.pk %}"
                       data-deleteconfirm="Voulez-vous vraiment archiver cette adresse ?"
                       data-deletelabel="Archiver">{{ adr.nom }}</a>
                </td>
                <td>{{ adr.rue }}</td>
                <td>{{ adr.npa }} {{ adr.localite }}</td>
                <td class="tels">{{ adr.tel|as_tel }}</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>
    </form>

    {% include 'pagination.html' %}

{% endblock %}
